/*
* Copyright (C) 2004-2010  Autodesk, Inc.
* 
* This library is free software; you can redistribute it and/or
* modify it under the terms of version 2.1 of the GNU Lesser
* General Public License as published by the Free Software Foundation.
* 
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
* 
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*
*/
#ifndef FDOWMSREVERSEEPSGCODES_H
#define FDOWMSREVERSEEPSGCODES_H

#ifdef _WIN32
#pragma once
#endif //_WIN32

static const FdoString* internalReverseEpsgCodes [] = {
	L"EPSG:4143",
	L"EPSG:4168",
	L"EPSG:4201",
	L"EPSG:4205",
	L"EPSG:4204",
	L"EPSG:4289",
	L"EPSG:4196",
	L"EPSG:4176",
	L"EPSG:4601",
	L"EPSG:4640",
	L"EPSG:4208",
	L"EPSG:4209",
	L"EPSG:4210",
	L"EPSG:4712",
	L"EPSG:4713",
	L"EPSG:4713",
	L"EPSG:4183",
	L"EPSG:4665",
	L"EPSG:4665",
	L"EPSG:4664",
	L"EPSG:4664",
	L"EPSG:4212",
	L"EPSG:4212",
	L"EPSG:4211",
	L"EPSG:21413",
	L"EPSG:21453",
	L"EPSG:21414",
	L"EPSG:21454",
	L"EPSG:21415",
	L"EPSG:21455",
	L"EPSG:21416",
	L"EPSG:21456",
	L"EPSG:21417",
	L"EPSG:21457",
	L"EPSG:21418",
	L"EPSG:21458",
	L"EPSG:21419",
	L"EPSG:21459",
	L"EPSG:21420",
	L"EPSG:21460",
	L"EPSG:21421",
	L"EPSG:21461",
	L"EPSG:21422",
	L"EPSG:21462",
	L"EPSG:21423",
	L"EPSG:21463",
	L"EPSG:21458",
	L"EPSG:21459",
	L"EPSG:21460",
	L"EPSG:21461",
	L"EPSG:21462",
	L"EPSG:21463",
	L"EPSG:21453",
	L"EPSG:21454",
	L"EPSG:21455",
	L"EPSG:21456",
	L"EPSG:21457",
	L"EPSG:2401",
	L"EPSG:2402",
	L"EPSG:2403",
	L"EPSG:2404",
	L"EPSG:2405",
	L"EPSG:2406",
	L"EPSG:2407",
	L"EPSG:2408",
	L"EPSG:2409",
	L"EPSG:2410",
	L"EPSG:2411",
	L"EPSG:2412",
	L"EPSG:2413",
	L"EPSG:2414",
	L"EPSG:2415",
	L"EPSG:2416",
	L"EPSG:2417",
	L"EPSG:2418",
	L"EPSG:2419",
	L"EPSG:2420",
	L"EPSG:2421",
	L"EPSG:2422",
	L"EPSG:2423",
	L"EPSG:2424",
	L"EPSG:2425",
	L"EPSG:2426",
	L"EPSG:2427",
	L"EPSG:2428",
	L"EPSG:2429",
	L"EPSG:2430",
	L"EPSG:4214",
	L"EPSG:4313",
	L"EPSG:4714",
	L"EPSG:4216",
	L"EPSG:4165",
	L"EPSG:2431",
	L"EPSG:2432",
	L"EPSG:2433",
	L"EPSG:2434",
	L"EPSG:2435",
	L"EPSG:2436",
	L"EPSG:2437",
	L"EPSG:2438",
	L"EPSG:2439",
	L"EPSG:2440",
	L"EPSG:2441",
	L"EPSG:2442",
	L"EPSG:21897",
	L"EPSG:21898",
	L"EPSG:21896",
	L"EPSG:21899",
	L"EPSG:4218",
	L"EPSG:4219",
	L"EPSG:28404",
	L"EPSG:28405",
	L"EPSG:4645",
	L"EPSG:4220",
	L"EPSG:4715",
	L"EPSG:4715",
	L"EPSG:22191",
	L"EPSG:22192",
	L"EPSG:22193",
	L"EPSG:22194",
	L"EPSG:22195",
	L"EPSG:22196",
	L"EPSG:22197",
	L"EPSG:4221",
	L"EPSG:4728",
	L"EPSG:4717",
	L"EPSG:2200",
	L"EPSG:2953",
	L"EPSG:4222",
	L"EPSG:4223",
	L"EPSG:3388",
	L"EPSG:2082",
	L"EPSG:4161",
	L"EPSG:28413",
	L"EPSG:28414",
	L"EPSG:28415",
	L"EPSG:28416",
	L"EPSG:28417",
	L"EPSG:28418",
	L"EPSG:28419",
	L"EPSG:28420",
	L"EPSG:28421",
	L"EPSG:28422",
	L"EPSG:28423",
	L"EPSG:4149",
	L"EPSG:4150",
	L"EPSG:4672",
	L"EPSG:4673",
	L"EPSG:4151",
	L"EPSG:4224",
	L"EPSG:4708",
	L"EPSG:4708",
	L"EPSG:21897",
	L"EPSG:21898",
	L"EPSG:21899",
	L"EPSG:21896",
	L"EPSG:4632",
	L"EPSG:4315",
	L"EPSG:4701",
	L"EPSG:4701",
	L"EPSG:4225",
	L"EPSG:2935",
	L"EPSG:2936",
	L"EPSG:2937",
	L"EPSG:2938",
	L"EPSG:2939",
	L"EPSG:2940",
	L"EPSG:2941",
	L"EPSG:4623",
	L"EPSG:2065",
	L"EPSG:4156",
	L"EPSG:4155",
	L"EPSG:4274",
	L"EPSG:4316",
	L"EPSG:4317",
	L"EPSG:4317",
	L"EPSG:31700",
	L"EPSG:4736",
	L"EPSG:4736",
	L"EPSG:4227",
	L"EPSG:3068",
	L"EPSG:31466",
	L"EPSG:31467",
	L"EPSG:31468",
	L"EPSG:31469",
	L"EPSG:4314",
	L"EPSG:3396",
	L"EPSG:3397",
	L"EPSG:3399",
	L"EPSG:4724",
	L"EPSG:4724",
	L"EPSG:4602",
	L"EPSG:4192",
	L"EPSG:4192",
	L"EPSG:4719",
	L"EPSG:2207",
	L"EPSG:2208",
	L"EPSG:2209",
	L"EPSG:2210",
	L"EPSG:2211",
	L"EPSG:2212",
	L"EPSG:2206",
	L"EPSG:2319",
	L"EPSG:2320",
	L"EPSG:2321",
	L"EPSG:2322",
	L"EPSG:2323",
	L"EPSG:2324",
	L"EPSG:2325",
	L"EPSG:4159",
	L"EPSG:4133",
	L"EPSG:3300",
	L"EPSG:3301",
	L"EPSG:4180",
	L"EPSG:3035",
	L"EPSG:3034",
	L"EPSG:3126",
	L"EPSG:3127",
	L"EPSG:3128",
	L"EPSG:3129",
	L"EPSG:3130",
	L"EPSG:3131",
	L"EPSG:3132",
	L"EPSG:3133",
	L"EPSG:3134",
	L"EPSG:3135",
	L"EPSG:3136",
	L"EPSG:3137",
	L"EPSG:3138",
	L"EPSG:3038",
	L"EPSG:3039",
	L"EPSG:3040",
	L"EPSG:3041",
	L"EPSG:3042",
	L"EPSG:3043",
	L"EPSG:3044",
	L"EPSG:3045",
	L"EPSG:3046",
	L"EPSG:3047",
	L"EPSG:3048",
	L"EPSG:3049",
	L"EPSG:3050",
	L"EPSG:3051",
	L"EPSG:3035",
	L"EPSG:3034",
	L"EPSG:3126",
	L"EPSG:3127",
	L"EPSG:3128",
	L"EPSG:3129",
	L"EPSG:3130",
	L"EPSG:3131",
	L"EPSG:3132",
	L"EPSG:3133",
	L"EPSG:3134",
	L"EPSG:3135",
	L"EPSG:3136",
	L"EPSG:3137",
	L"EPSG:3138",
	L"EPSG:2176",
	L"EPSG:2177",
	L"EPSG:2178",
	L"EPSG:2179",
	L"EPSG:2180",
	L"EPSG:25884",
	L"EPSG:3038",
	L"EPSG:3039",
	L"EPSG:3040",
	L"EPSG:3041",
	L"EPSG:3042",
	L"EPSG:3043",
	L"EPSG:3044",
	L"EPSG:3045",
	L"EPSG:3046",
	L"EPSG:3047",
	L"EPSG:3048",
	L"EPSG:3049",
	L"EPSG:3050",
	L"EPSG:3051",
	L"EPSG:4154",
	L"EPSG:4668",
	L"EPSG:4231",
	L"EPSG:4232",
	L"EPSG:22191",
	L"EPSG:22192",
	L"EPSG:22193",
	L"EPSG:22194",
	L"EPSG:22195",
	L"EPSG:22196",
	L"EPSG:22197",
	L"EPSG:4688",
	L"EPSG:4721",
	L"EPSG:4720",
	L"EPSG:4721",
	L"EPSG:4132",
	L"EPSG:4621",
	L"EPSG:4684",
	L"EPSG:4684",
	L"EPSG:4684",
	L"EPSG:4121",
	L"EPSG:28410",
	L"EPSG:28411",
	L"EPSG:28412",
	L"EPSG:28424",
	L"EPSG:28425",
	L"EPSG:28426",
	L"EPSG:28427",
	L"EPSG:28428",
	L"EPSG:28429",
	L"EPSG:28430",
	L"EPSG:28431",
	L"EPSG:28432",
	L"EPSG:28406",
	L"EPSG:28407",
	L"EPSG:28408",
	L"EPSG:28409",
	L"EPSG:2516",
	L"EPSG:4723",
	L"EPSG:4723",
	L"EPSG:4747",
	L"EPSG:4603",
	L"EPSG:4170",
	L"EPSG:4622",
	L"EPSG:4675",
	L"EPSG:4682",
	L"EPSG:4682",
	L"EPSG:4613",
	L"EPSG:4624",
	L"EPSG:2093",
	L"EPSG:2044",
	L"EPSG:2045",
	L"EPSG:4147",
	L"EPSG:4148",
	L"EPSG:4237",
	L"EPSG:3058",
	L"EPSG:4660",
	L"EPSG:4255",
	L"EPSG:2083",
	L"EPSG:4254",
	L"EPSG:4658",
	L"EPSG:4738",
	L"EPSG:4739",
	L"EPSG:4739",
	L"EPSG:2326",
	L"EPSG:4611",
	L"EPSG:4237",
	L"EPSG:4236",
	L"EPSG:4670",
	L"EPSG:4641",
	L"EPSG:4633",
	L"EPSG:4689",
	L"EPSG:4662",
	L"EPSG:4630",
	L"EPSG:4662",
	L"EPSG:4239",
	L"EPSG:4131",
	L"EPSG:4240",
	L"EPSG:4238",
	L"EPSG:4667",
	L"EPSG:4173",
	L"EPSG:4659",
	L"EPSG:4659",
	L"EPSG:4141",
	L"EPSG:4709",
	L"EPSG:4709",
	L"EPSG:4242",
	L"EPSG:4242",
	L"EPSG:2443",
	L"EPSG:2444",
	L"EPSG:2445",
	L"EPSG:2446",
	L"EPSG:2447",
	L"EPSG:2448",
	L"EPSG:2449",
	L"EPSG:2450",
	L"EPSG:2451",
	L"EPSG:2452",
	L"EPSG:2453",
	L"EPSG:2454",
	L"EPSG:2456",
	L"EPSG:2457",
	L"EPSG:2458",
	L"EPSG:2459",
	L"EPSG:2460",
	L"EPSG:2461",
	L"EPSG:2443",
	L"EPSG:2444",
	L"EPSG:2445",
	L"EPSG:2446",
	L"EPSG:2451",
	L"EPSG:2447",
	L"EPSG:2448",
	L"EPSG:2449",
	L"EPSG:2450",
	L"EPSG:2452",
	L"EPSG:2453",
	L"EPSG:2454",
	L"EPSG:2455",
	L"EPSG:2456",
	L"EPSG:2461",
	L"EPSG:2457",
	L"EPSG:2458",
	L"EPSG:2459",
	L"EPSG:2460",
	L"EPSG:4725",
	L"EPSG:4679",
	L"EPSG:4679",
	L"EPSG:4144",
	L"EPSG:4145",
	L"EPSG:4146",
	L"EPSG:4244",
	L"EPSG:4743",
	L"EPSG:4743",
	L"EPSG:4698",
	L"EPSG:4245",
	L"EPSG:2391",
	L"EPSG:2392",
	L"EPSG:2394",
	L"EPSG:2393",
	L"EPSG:4123",
	L"EPSG:4737",
	L"EPSG:4166",
	L"EPSG:4735",
	L"EPSG:4735",
	L"EPSG:4246",
	L"EPSG:4246",
	L"EPSG:4319",
	L"EPSG:4247",
	L"EPSG:4678",
	L"EPSG:4678",
	L"EPSG:4661",
	L"EPSG:3059",
	L"EPSG:4250",
	L"EPSG:4699",
	L"EPSG:4699",
	L"EPSG:4251",
	L"EPSG:4754",
	L"EPSG:4754",
	L"EPSG:3346",
	L"EPSG:4666",
	L"EPSG:4666",
	L"EPSG:4207",
	L"EPSG:4669",
	L"EPSG:4726",
	L"EPSG:4726",
	L"EPSG:4030",
	L"EPSG:4203",
	L"EPSG:4202",
	L"EPSG:4122",
	L"EPSG:4617",
	L"EPSG:4230",
	L"EPSG:4258",
	L"EPSG:4272",
	L"EPSG:4283",
	L"EPSG:4152",
	L"EPSG:4612",
	L"EPSG:4807",
	L"EPSG:4135",
	L"EPSG:4248",
	L"EPSG:4171",
	L"EPSG:4124",
	L"EPSG:4267",
	L"EPSG:4322",
	L"EPSG:4269",
	L"EPSG:4326",
	L"EPSG:4149",
	L"EPSG:4248",
	L"EPSG:4142",
	L"EPSG:2169",
	L"EPSG:4181",
	L"EPSG:4253",
	L"EPSG:4615",
	L"EPSG:3116",
	L"EPSG:3118",
	L"EPSG:3117",
	L"EPSG:3114",
	L"EPSG:3115",
	L"EPSG:4256",
	L"EPSG:4257",
	L"EPSG:4259",
	L"EPSG:4193",
	L"EPSG:4686",
	L"EPSG:4711",
	L"EPSG:4711",
	L"EPSG:4732",
	L"EPSG:4732",
	L"EPSG:4625",
	L"EPSG:4262",
	L"EPSG:4692",
	L"EPSG:4692",
	L"EPSG:4702",
	L"EPSG:4261",
	L"EPSG:31287",
	L"EPSG:31255",
	L"EPSG:31256",
	L"EPSG:31254",
	L"EPSG:4312",
	L"EPSG:31284",
	L"EPSG:31257",
	L"EPSG:31257",
	L"EPSG:31285",
	L"EPSG:31258",
	L"EPSG:31258",
	L"EPSG:31286",
	L"EPSG:31259",
	L"EPSG:31259",
	L"EPSG:31282",
	L"EPSG:31252",
	L"EPSG:31283",
	L"EPSG:31253",
	L"EPSG:31281",
	L"EPSG:31251",
	L"EPSG:4805",
	L"EPSG:31288",
	L"EPSG:31289",
	L"EPSG:31290",
	L"EPSG:31287",
	L"EPSG:31287",
	L"EPSG:31275",
	L"EPSG:31276",
	L"EPSG:31277",
	L"EPSG:31279",
	L"EPSG:2170",
	L"EPSG:4264",
	L"EPSG:4268",
	L"EPSG:4727",
	L"EPSG:4263",
	L"EPSG:4638",
	L"EPSG:4604",
	L"EPSG:4691",
	L"EPSG:4639",
	L"EPSG:4130",
	L"EPSG:4266",
	L"EPSG:3795",
	L"EPSG:3796",
	L"EPSG:4693",
	L"EPSG:4158",
	L"EPSG:4271",
	L"EPSG:4755",
	L"EPSG:4644",
	L"EPSG:27391",
	L"EPSG:27392",
	L"EPSG:27393",
	L"EPSG:27394",
	L"EPSG:27395",
	L"EPSG:27396",
	L"EPSG:27397",
	L"EPSG:27398",
	L"EPSG:4273",
	L"EPSG:4270",
	L"EPSG:4307",
	L"EPSG:4680",
	L"EPSG:4680",
	L"EPSG:4275",
	L"EPSG:4318",
	L"EPSG:2119",
	L"EPSG:2132",
	L"EPSG:2117",
	L"EPSG:2114",
	L"EPSG:2125",
	L"EPSG:2118",
	L"EPSG:2108",
	L"EPSG:2121",
	L"EPSG:2123",
	L"EPSG:2116",
	L"EPSG:2127",
	L"EPSG:2120",
	L"EPSG:2105",
	L"EPSG:2128",
	L"EPSG:2124",
	L"EPSG:2129",
	L"EPSG:2115",
	L"EPSG:2131",
	L"EPSG:2130",
	L"EPSG:2122",
	L"EPSG:2107",
	L"EPSG:2126",
	L"EPSG:2193",
	L"EPSG:2110",
	L"EPSG:2112",
	L"EPSG:2111",
	L"EPSG:4167",
	L"EPSG:2119",
	L"EPSG:2106",
	L"EPSG:2132",
	L"EPSG:2117",
	L"EPSG:2114",
	L"EPSG:2125",
	L"EPSG:2118",
	L"EPSG:2108",
	L"EPSG:2121",
	L"EPSG:2123",
	L"EPSG:2116",
	L"EPSG:2127",
	L"EPSG:2120",
	L"EPSG:2105",
	L"EPSG:2128",
	L"EPSG:2124",
	L"EPSG:2129",
	L"EPSG:2115",
	L"EPSG:2131",
	L"EPSG:2130",
	L"EPSG:2122",
	L"EPSG:2107",
	L"EPSG:2109",
	L"EPSG:2126",
	L"EPSG:2110",
	L"EPSG:2112",
	L"EPSG:2111",
	L"EPSG:2113",
	L"EPSG:27219",
	L"EPSG:27206",
	L"EPSG:27232",
	L"EPSG:27217",
	L"EPSG:27214",
	L"EPSG:27225",
	L"EPSG:27218",
	L"EPSG:27208",
	L"EPSG:27221",
	L"EPSG:27223",
	L"EPSG:27216",
	L"EPSG:27227",
	L"EPSG:27220",
	L"EPSG:27205",
	L"EPSG:27228",
	L"EPSG:27224",
	L"EPSG:27229",
	L"EPSG:27215",
	L"EPSG:27231",
	L"EPSG:27230",
	L"EPSG:27222",
	L"EPSG:27207",
	L"EPSG:27209",
	L"EPSG:27226",
	L"EPSG:27210",
	L"EPSG:27212",
	L"EPSG:27211",
	L"EPSG:27213",
	L"EPSG:2193",
	L"EPSG:4182",
	L"EPSG:4229",
	L"EPSG:4277",
	L"EPSG:4188",
	L"EPSG:4281",
	L"EPSG:4161",
	L"EPSG:4740",
	L"EPSG:2082",
	L"EPSG:4134",
	L"EPSG:4637",
	L"EPSG:4636",
	L"EPSG:22171",
	L"EPSG:22172",
	L"EPSG:22173",
	L"EPSG:22174",
	L"EPSG:22175",
	L"EPSG:22176",
	L"EPSG:22177",
	L"EPSG:4190",
	L"EPSG:4683",
	L"EPSG:4716",
	L"EPSG:4716",
	L"EPSG:31700",
	L"EPSG:4729",
	L"EPSG:4620",
	L"EPSG:4282",
	L"EPSG:4663",
	L"EPSG:4663",
	L"EPSG:4694",
	L"EPSG:4190",
	L"EPSG:4139",
	L"EPSG:3120",
	L"EPSG:2172",
	L"EPSG:2173",
	L"EPSG:2174",
	L"EPSG:2175",
	L"EPSG:2397",
	L"EPSG:2398",
	L"EPSG:2399",
	L"EPSG:2935",
	L"EPSG:2936",
	L"EPSG:2937",
	L"EPSG:2938",
	L"EPSG:2939",
	L"EPSG:2940",
	L"EPSG:2941",
	L"EPSG:28462",
	L"EPSG:28463",
	L"EPSG:2508",
	L"EPSG:2509",
	L"EPSG:2510",
	L"EPSG:2511",
	L"EPSG:2512",
	L"EPSG:2513",
	L"EPSG:2514",
	L"EPSG:2515",
	L"EPSG:2516",
	L"EPSG:2517",
	L"EPSG:2518",
	L"EPSG:2519",
	L"EPSG:2522",
	L"EPSG:2520",
	L"EPSG:2521",
	L"EPSG:2494",
	L"EPSG:2495",
	L"EPSG:2496",
	L"EPSG:2497",
	L"EPSG:2498",
	L"EPSG:2499",
	L"EPSG:2500",
	L"EPSG:2501",
	L"EPSG:2502",
	L"EPSG:2503",
	L"EPSG:2504",
	L"EPSG:2505",
	L"EPSG:2506",
	L"EPSG:2507",
	L"EPSG:2526",
	L"EPSG:2527",
	L"EPSG:2528",
	L"EPSG:2529",
	L"EPSG:2530",
	L"EPSG:2531",
	L"EPSG:2532",
	L"EPSG:2533",
	L"EPSG:2534",
	L"EPSG:2535",
	L"EPSG:2536",
	L"EPSG:2537",
	L"EPSG:2538",
	L"EPSG:2539",
	L"EPSG:2540",
	L"EPSG:2541",
	L"EPSG:2542",
	L"EPSG:2543",
	L"EPSG:2544",
	L"EPSG:2545",
	L"EPSG:2546",
	L"EPSG:2547",
	L"EPSG:2548",
	L"EPSG:2549",
	L"EPSG:2551",
	L"EPSG:2552",
	L"EPSG:2553",
	L"EPSG:2554",
	L"EPSG:2555",
	L"EPSG:2556",
	L"EPSG:2557",
	L"EPSG:2558",
	L"EPSG:2559",
	L"EPSG:2560",
	L"EPSG:2561",
	L"EPSG:2562",
	L"EPSG:2563",
	L"EPSG:2564",
	L"EPSG:2565",
	L"EPSG:2566",
	L"EPSG:2567",
	L"EPSG:2568",
	L"EPSG:2569",
	L"EPSG:2570",
	L"EPSG:2571",
	L"EPSG:2572",
	L"EPSG:2573",
	L"EPSG:2574",
	L"EPSG:2575",
	L"EPSG:2576",
	L"EPSG:3146",
	L"EPSG:2577",
	L"EPSG:2578",
	L"EPSG:2579",
	L"EPSG:2580",
	L"EPSG:2581",
	L"EPSG:2523",
	L"EPSG:2524",
	L"EPSG:2525",
	L"EPSG:2610",
	L"EPSG:2611",
	L"EPSG:2612",
	L"EPSG:2613",
	L"EPSG:2614",
	L"EPSG:2615",
	L"EPSG:2616",
	L"EPSG:2617",
	L"EPSG:2618",
	L"EPSG:2619",
	L"EPSG:2620",
	L"EPSG:2621",
	L"EPSG:2622",
	L"EPSG:2623",
	L"EPSG:2624",
	L"EPSG:2625",
	L"EPSG:2626",
	L"EPSG:2627",
	L"EPSG:2628",
	L"EPSG:2629",
	L"EPSG:2630",
	L"EPSG:2631",
	L"EPSG:2632",
	L"EPSG:2640",
	L"EPSG:2633",
	L"EPSG:2639",
	L"EPSG:2634",
	L"EPSG:2638",
	L"EPSG:2635",
	L"EPSG:2637",
	L"EPSG:2636",
	L"EPSG:3147",
	L"EPSG:2582",
	L"EPSG:2583",
	L"EPSG:2584",
	L"EPSG:2585",
	L"EPSG:2586",
	L"EPSG:2587",
	L"EPSG:2588",
	L"EPSG:2589",
	L"EPSG:2590",
	L"EPSG:2591",
	L"EPSG:2592",
	L"EPSG:2593",
	L"EPSG:2594",
	L"EPSG:2595",
	L"EPSG:2596",
	L"EPSG:2597",
	L"EPSG:2598",
	L"EPSG:2599",
	L"EPSG:2601",
	L"EPSG:2602",
	L"EPSG:2603",
	L"EPSG:2604",
	L"EPSG:2605",
	L"EPSG:2606",
	L"EPSG:2607",
	L"EPSG:2608",
	L"EPSG:2609",
	L"EPSG:4284",
	L"EPSG:4179",
	L"EPSG:3120",
	L"EPSG:3844",
	L"EPSG:4178",
	L"EPSG:2644",
	L"EPSG:2645",
	L"EPSG:2646",
	L"EPSG:2647",
	L"EPSG:2648",
	L"EPSG:2649",
	L"EPSG:2650",
	L"EPSG:2651",
	L"EPSG:2652",
	L"EPSG:2653",
	L"EPSG:2654",
	L"EPSG:2655",
	L"EPSG:2656",
	L"EPSG:2657",
	L"EPSG:2658",
	L"EPSG:2659",
	L"EPSG:2660",
	L"EPSG:2661",
	L"EPSG:2662",
	L"EPSG:2663",
	L"EPSG:2664",
	L"EPSG:2665",
	L"EPSG:2666",
	L"EPSG:2667",
	L"EPSG:2668",
	L"EPSG:2669",
	L"EPSG:2670",
	L"EPSG:2671",
	L"EPSG:2672",
	L"EPSG:2673",
	L"EPSG:2674",
	L"EPSG:2675",
	L"EPSG:2676",
	L"EPSG:2677",
	L"EPSG:2678",
	L"EPSG:2679",
	L"EPSG:2680",
	L"EPSG:2681",
	L"EPSG:2682",
	L"EPSG:2683",
	L"EPSG:2684",
	L"EPSG:2685",
	L"EPSG:2686",
	L"EPSG:2687",
	L"EPSG:2688",
	L"EPSG:2689",
	L"EPSG:2690",
	L"EPSG:2691",
	L"EPSG:2692",
	L"EPSG:2693",
	L"EPSG:3390",
	L"EPSG:2695",
	L"EPSG:2696",
	L"EPSG:2697",
	L"EPSG:2698",
	L"EPSG:2641",
	L"EPSG:2642",
	L"EPSG:2643",
	L"EPSG:2726",
	L"EPSG:2727",
	L"EPSG:2728",
	L"EPSG:2729",
	L"EPSG:2730",
	L"EPSG:2731",
	L"EPSG:2732",
	L"EPSG:2733",
	L"EPSG:2734",
	L"EPSG:2735",
	L"EPSG:2738",
	L"EPSG:2739",
	L"EPSG:2740",
	L"EPSG:2741",
	L"EPSG:2742",
	L"EPSG:2743",
	L"EPSG:2744",
	L"EPSG:2745",
	L"EPSG:2746",
	L"EPSG:2747",
	L"EPSG:2748",
	L"EPSG:2749",
	L"EPSG:2750",
	L"EPSG:2758",
	L"EPSG:2751",
	L"EPSG:2757",
	L"EPSG:2752",
	L"EPSG:2756",
	L"EPSG:2753",
	L"EPSG:2755",
	L"EPSG:2754",
	L"EPSG:2699",
	L"EPSG:2700",
	L"EPSG:2701",
	L"EPSG:2702",
	L"EPSG:2703",
	L"EPSG:2704",
	L"EPSG:2705",
	L"EPSG:2706",
	L"EPSG:2707",
	L"EPSG:2708",
	L"EPSG:2709",
	L"EPSG:2710",
	L"EPSG:2711",
	L"EPSG:2712",
	L"EPSG:2713",
	L"EPSG:2714",
	L"EPSG:2715",
	L"EPSG:2716",
	L"EPSG:2717",
	L"EPSG:2718",
	L"EPSG:2719",
	L"EPSG:2720",
	L"EPSG:2721",
	L"EPSG:2722",
	L"EPSG:2723",
	L"EPSG:2724",
	L"EPSG:2725",
	L"EPSG:4285",
	L"EPSG:4286",
	L"EPSG:4614",
	L"EPSG:4194",
	L"EPSG:4153",
	L"EPSG:4189",
	L"EPSG:4626",
	L"EPSG:4627",
	L"EPSG:4657",
	L"EPSG:4749",
	L"EPSG:4687",
	L"EPSG:4265",
	L"EPSG:3847",
	L"EPSG:4291",
	L"EPSG:4169",
	L"EPSG:4730",
	L"EPSG:4730",
	L"EPSG:4184",
	L"EPSG:4292",
	L"EPSG:4293",
	L"EPSG:4195",
	L"EPSG:4616",
	L"EPSG:4175",
	L"EPSG:4718",
	L"EPSG:4718",
	L"EPSG:4722",
	L"EPSG:4722",
	L"EPSG:2395",
	L"EPSG:2396",
	L"EPSG:4164",
	L"EPSG:4674",
	L"EPSG:4643",
	L"EPSG:4642",
	L"EPSG:4750",
	L"EPSG:4635",
	L"EPSG:4710",
	L"EPSG:4710",
	L"EPSG:4605",
	L"EPSG:4606",
	L"EPSG:4607",
	L"EPSG:4607",
	L"EPSG:3022",
	L"EPSG:3023",
	L"EPSG:3021",
	L"EPSG:3024",
	L"EPSG:3020",
	L"EPSG:3019",
	L"EPSG:3007",
	L"EPSG:3008",
	L"EPSG:3012",
	L"EPSG:3009",
	L"EPSG:3013",
	L"EPSG:3010",
	L"EPSG:3014",
	L"EPSG:3011",
	L"EPSG:3015",
	L"EPSG:3016",
	L"EPSG:3017",
	L"EPSG:3018",
	L"EPSG:3006",
	L"EPSG:4619",
	L"EPSG:3152",
	L"EPSG:4629",
	L"EPSG:4628",
	L"EPSG:4297",
	L"EPSG:4707",
	L"EPSG:4707",
	L"EPSG:4127",
	L"EPSG:4298",
	L"EPSG:4299",
	L"EPSG:4301",
	L"EPSG:30161",
	L"EPSG:30162",
	L"EPSG:30163",
	L"EPSG:30164",
	L"EPSG:30169",
	L"EPSG:30165",
	L"EPSG:30166",
	L"EPSG:30167",
	L"EPSG:30168",
	L"EPSG:30170",
	L"EPSG:30171",
	L"EPSG:30172",
	L"EPSG:30173",
	L"EPSG:30174",
	L"EPSG:30179",
	L"EPSG:30175",
	L"EPSG:30176",
	L"EPSG:30177",
	L"EPSG:30178",
	L"EPSG:4302",
	L"EPSG:4734",
	L"EPSG:32661",
	L"EPSG:32761",
	L"EPSG:4748",
	L"EPSG:4748",
	L"EPSG:4731",
	L"EPSG:4752",
	L"EPSG:4752",
	L"EPSG:4304",
	L"EPSG:4733",
	L"EPSG:4733",
	L"EPSG:4324",
	L"EPSG:32661",
	L"EPSG:32761",
	L"EPSG:2327",
	L"EPSG:2328",
	L"EPSG:2329",
	L"EPSG:2330",
	L"EPSG:2331",
	L"EPSG:2332",
	L"EPSG:2333",
	L"EPSG:2334",
	L"EPSG:2335",
	L"EPSG:2336",
	L"EPSG:2337",
	L"EPSG:2343",
	L"EPSG:2344",
	L"EPSG:2345",
	L"EPSG:2346",
	L"EPSG:2347",
	L"EPSG:2348",
	L"EPSG:2338",
	L"EPSG:2339",
	L"EPSG:2340",
	L"EPSG:2341",
	L"EPSG:2342",
	L"EPSG:2349",
	L"EPSG:2350",
	L"EPSG:2351",
	L"EPSG:2352",
	L"EPSG:2353",
	L"EPSG:2354",
	L"EPSG:2355",
	L"EPSG:2356",
	L"EPSG:2357",
	L"EPSG:2358",
	L"EPSG:2359",
	L"EPSG:2360",
	L"EPSG:2361",
	L"EPSG:2362",
	L"EPSG:2363",
	L"EPSG:2364",
	L"EPSG:2365",
	L"EPSG:2366",
	L"EPSG:2367",
	L"EPSG:2368",
	L"EPSG:2369",
	L"EPSG:2379",
	L"EPSG:2380",
	L"EPSG:2381",
	L"EPSG:2382",
	L"EPSG:2383",
	L"EPSG:2384",
	L"EPSG:2385",
	L"EPSG:2386",
	L"EPSG:2387",
	L"EPSG:2388",
	L"EPSG:2389",
	L"EPSG:2390",
	L"EPSG:2370",
	L"EPSG:2371",
	L"EPSG:2372",
	L"EPSG:2373",
	L"EPSG:2374",
	L"EPSG:2375",
	L"EPSG:2376",
	L"EPSG:2377",
	L"EPSG:2378",
	L"EPSG:4610",
	L"EPSG:4309",
	L"EPSG:4163",
	L"EPSG:4311",
	NULL};


#endif

